<?php
add_filter('query_vars','dynamic_vars');
function dynamic_vars($vars) {
    $vars[] = 'dynamic';
    return $vars;
}

add_action('template_redirect', 'dynamic_check');
function dynamic_check() {
	$get_val = get_query_var('dynamic');
	
	if($get_val == "css") {
?>
<?php 
	header('Content-type: text/css');
echo "body{
	color:#".get_option('body_font_color', '555555').";
	font-family:".get_option('body_font', 'Arial').";
	font-size:".get_option('body_font_size', '12')."px;
}
	
.portfolio_box_skin_3{
	width:";
	$pmin = get_option('portfolio3_thumb_width', '270') + 20;
	echo $pmin."px;	
}

.blog_box_skin_3{
	width:";
	$pmin = get_option('blog_thumb_width', '620') + 20;
	echo $pmin."px;	
}

.portfolio_box_skin_2{
	width:";
	$pmin = get_option('portfolio1_thumb_width', '270') + 20;
	echo $pmin."px;
}

";
?>

/* getting main menu styles */
.deluxemenu{
	font-size:<?php echo get_option("menu_font_size", "17"); ?>px;
	margin-top:10px;
}

.deluxemenu ul li a{	
	color: #<?php echo get_option('menu_a', '000000'); ?>;	
}

.deluxemenu ul li {			
	display: block;	
	padding:10px 15px 10px 10px;	
}

.portfolio_filter ul li.current_page_item{
	background-color:#<?php echo get_option('menu_a_hover', '6794b1'); ?>;
}
.deluxemenu ul li.current_page_item a,
.deluxemenu ul li.current-menu-item a,
.deluxemenu ul li.current-menu-ancestor a,
.deluxemenu ul li.current_page_ancestor a,
.deluxemenu ul li a:hover{
	color: #<?php echo get_option('menu_a_hover', '6794b1'); ?>;
}

.deluxemenu ul.children li a,
.deluxemenu ul.children li ul.children li a,
.deluxemenu ul.children li ul.children li ul.children li a,
.deluxemenu ul.sub-menu li a,
.deluxemenu ul.sub-menu li ul.sub-menu li a,
.deluxemenu ul.sub-menu li ul.sub-menu li ul.sub-menu li a{
	color: #<?php echo get_option('submenu_a', 'ffffff'); ?>;
}

.deluxemenu ul.children li a:hover,
.deluxemenu ul.sub-menu li ul.sub-menu li ul.sub-menu li a:hover,
.deluxemenu ul.children li ul.children li ul.children li a:hover,
.deluxemenu ul.children li ul.children li a:hover,
.deluxemenu ul.sub-menu li a:hover,
.deluxemenu ul.sub-menu li ul.sub-menu li a:hover{
	color: #<?php echo get_option('submenu_a_hover', '6794b1'); ?>;
}

.deluxemenu ul.sub-menu li.current-menu-ancestor a,
.deluxemenu ul.sub-menu li.current-menu-item a,
.deluxemenu ul.sub-menu li.current_page_item a,
.deluxemenu ul.sub-menu li ul.sub-menu li.current-menu-ancestor a,
.deluxemenu ul.sub-menu li ul.sub-menu li.current-menu-item a,
.deluxemenu ul.sub-menu li ul.sub-menu li.current_page_item a,
.deluxemenu ul.sub-menu li ul.sub-menu li ul.sub-menu li.current-menu-ancestor a,
.deluxemenu ul.sub-menu li ul.sub-menu li ul.sub-menu li.current-menu-item a,
.deluxemenu ul.sub-menu li ul.sub-menu li ul.sub-menu li.current_page_item a,
.deluxemenu ul.children li.current_page_item a,
.deluxemenu ul.children li.current_page_ancestor a,
.deluxemenu ul.children li ul.children li.current_page_ancestor a,
.deluxemenu ul.children li ul.children li.current_page_item a,
.deluxemenu ul.children li ul.children li ul.children li.current_page_ancestor a,
.deluxemenu ul.children li ul.children li ul.children li.current_page_item a,
.deluxemenu ul.children li a:hover{
	color: #<?php echo get_option('submenu_a_hover', '6794b1'); ?>;
	background:url(<?php bloginfo('template_url'); ?>/images/li_ahover_bg.png) left bottom scroll transparent
}

.deluxemenu ul li ul li a{
	font-size: <?php echo get_option('submenu_font_size', '12'); ?>px;
	color: #<?php echo get_option('submenu_a', 'ffffff'); ?>;
	text-shadow: 1px 1px #000000;
	width: 165px; 	
	line-height:21px;
}

.deluxemenu ul li ul li ul li a{
	width: 168px; 	
}
.deluxemenu ul li ul li ul li {
	width: 188px; 	
}

.deluxemenu ul li ul li a:hover{
	background:url(<?php bloginfo('template_url'); ?>/images/li_ahover_bg.png) left bottom scroll transparent;
}

.deluxemenu ul li ul li a{
	background:url(<?php bloginfo('template_url'); ?>/images/li_a_bg.png) left bottom scroll transparent;
}



<?php


	exit;
	}	
	
	if($get_val == "js") {
	header('Content-type: text/javascript');
	
?>
fade_speed = <?php echo get_option('fade_speed', '500'); ?>;
delay_time = <?php echo get_option('delay_time', '3500'); ?>;
main_menu_a = "#<?php echo get_option('menu_a', '000000'); ?>";
main_menu_a_hover = "#<?php echo get_option('menu_a_hover', '6794b1'); ?>";
submain_menu_a = "#<?php echo get_option('submenu_a', 'FFFFFF'); ?>";
submain_menu_a_hover = "#<?php echo get_option('submenu_a_hover', '6794b1'); ?>";
site_url = "<?php bloginfo('template_url'); ?>";
$main_menu_color = "#<?php echo get_option('menu_a', '000000'); ?>";
$main_menu_over_color = "#<?php echo get_option('menu_a_hover', '6794b1'); ?>";	
<?php
	exit;
}
	
}
